coupang
GET/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/products/items/cashback2609170000

[Book] Product Cashback Search

# 01

Summary

[Book] Product Cashback Search

# 02

Details

Available buyer market: Korea

Cash back rule information can be searched at an optionID level.

If an optionID (vendorItemId) without cash back is searched, either 404 or 400 error is returned.

Path

GET/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/products/items/cashback

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/products/items/cashback?ruleId=1&vendorItemId=3000000005

URL API Name

GET_PRODUCT_CASHBACK
# 03

Path parameters

NameTypeDescription
vendorId*string
Seller ID
Unique code issued by Coupang to the seller

예) A00012345
# 04

Query parameters

NameTypeDescription
ruleId*number
Rule ID
Input a rule ID given after the cash back contract is signed
vendorItemId*number
Option ID
# 05

Response body

Response message

NameTypeDescription
codestring
Http request status code
EX) 200, 400, 500
messagestring
Result message based on success or failure
200: OK
400: Bad request , will show corresponding bad request message
500: Internal error
dataobject
ruleId
data.ruleId
integer
Rule ID
valueType
data.valueType
string
Cash back type
FIXED, FIXED_WITH_QUANTITY
value
data.value
integer
Cashback amount
Minimum 1
maxAmount
data.maxAmount
integer
Max cash back amount
Minimum 0, Parameter not required if FIXED or FIXED_WITH_QUANTITY.
vendorItemId
data.vendorItemId
string
Option ID
startAt
data.startAt
string
시작일
형태 yyyy-MM-dd HH:mm:ss
endAt
data.endAt
string
End date
Format: yyyy-MM-dd HH:mm:ss
disabled
data.disabled
boolean
Whether cash back rule can be applied or not
disabledAt
data.disabledAt
string
The date where cash back rule cannot be applied
Format: yyyy-MM-dd HH:mm:ss

Response Example

{
  "code": "200",
  "message": "OK",
  "data": {
    "vendorItemId": "3000000005",
    "vendorId": "A00012345",
    "valueType": "FIXED",
    "value": 1000,
    "startAt": "2016-12-29 09:43:54",
    "maxAmount": 0,
    "ruleId": 1,
    "endAt": "2017-01-01 09:43:54",
    "disabledAt": null,
    "disabled": false
  }
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
404404 (Check parameter requested)

Can not find promotion with given condition vendorItemId : 7015***6995

Check whether cash back is applied to the optionID (vendorItemId).

400400 (Check parameter requested)

VendorItemId can't be null

Check whether Option ID (VendorItemId) is correctly input.

400400 (Check parameter requested)

Invalid vendorItemId, vendorItemId doesn't exist or doesn't belong to corresponding vendorId

Check whether the optionID (VendorItemID) is correct or cash back is applied.